Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004987TestLinkSecurity - Generalpublic2012-04-27 17:342012-09-01 19:58
Reporterfman 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004987: Security report by estuarioti.com.br - database.class.php
DescriptionHow to reproduce
http:testlinkinstall/lib/ajax/gettprojectnodes.php?root_node=1&show_tcases=0&operation=print&tcprefix=2-}&node=%3C/pre%3E


FIX
change
debug_print_backtrace();
to
debug_print_backtrace(DEBUG_BACKTRACE_IGNORE_ARGS);

or remove line
TagsNo tags attached.
Database (MySQL,Postgres,etc)ANY
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0017269)
fman (administrator)
2012-09-01 19:58

1.9.4 released

- Issue History
Date Modified Username Field Change
2012-04-27 17:34 fman New Issue
2012-04-27 21:03 fman View Status private => public
2012-08-17 18:50 fman Task Workflow Status => READY FOR TESTING
2012-08-17 18:50 fman Status new => resolved
2012-08-17 18:50 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-08-17 18:50 fman Resolution open => fixed
2012-08-17 18:50 fman Assigned To => fman
2012-09-01 19:58 fman Note Added: 0017269
2012-09-01 19:58 fman Status resolved => closed
2015-09-15 21:09 fman Category Security => Security - XSS
2015-09-15 21:10 fman Category Security - XSS => Security - General



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker